function f = rechteSeite(t,y)



    x = y(1,1);
    v = y(2,1);

    xsoll = 1.0;

    e    = xsoll-x;
    edot =   0  -v;

    P = 1;
    D = 1;

    u = P*e + D*edot;


    f(1,1) =  v;
    f(2,1) = -x + u;
endfunction

t = linspace(0,30,3000);
y0 = [2,0]';
t0 = 0;
y  = ode(y0,t0,t,rechteSeite);

plot(t,y(1,:)',t,y(2,:)');

disp("Eigenwerte:");

A = [0,1;-2,-1];

spec(A)


